Bug 180784 - Update multimedia/cx88 to 1.4.8
Summary: Update multimedia/cx88 to 1.4.8
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: William Grzybowski
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-24 01:40 UTC by jason.harmening
Modified: 2013-07-28 21:10 UTC (History)
0 users

See Also:


Attachments
file.diff (1.55 KB, patch)
2013-07-24 01:40 UTC, jason.harmening
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description jason.harmening 2013-07-24 01:40:00 UTC
--fix incorrect error handling during audio and video device init

Fix: Patch attached with submission follows:
Comment 1 William Grzybowski freebsd_committer 2013-07-27 12:46:19 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wg

I'll take it.
Comment 2 dfilter service freebsd_committer 2013-07-28 21:00:59 UTC
Author: wg
Date: Sun Jul 28 20:00:51 2013
New Revision: 323848
URL: http://svnweb.freebsd.org/changeset/ports/323848

Log:
  multimedia/cx88: update to 1.4.8
  
  - Update to 1.4.8 [1]
  - Remove ABI version in LIB_DEPENDS
  
  PR:		ports/180784
  Submitted by:	Jason A Harmening <jason.harmening gmail.com> (maintainer)

Modified:
  head/multimedia/cx88/Makefile
  head/multimedia/cx88/distinfo

Modified: head/multimedia/cx88/Makefile
==============================================================================
--- head/multimedia/cx88/Makefile	Sun Jul 28 19:48:40 2013	(r323847)
+++ head/multimedia/cx88/Makefile	Sun Jul 28 20:00:51 2013	(r323848)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	cx88
-PORTVERSION=	1.4.7
+PORTVERSION=	1.4.8
 CATEGORIES=	multimedia kld
 MASTER_SITES=	ftp://corona.homeunix.net/ports/cx88/
 
@@ -21,9 +21,9 @@ MAKE_JOBS_UNSAFE=	yes
 
 OPTIONS_DEFINE=	DEBUG LINUX_COMPAT HAL
 
-DEBUG_DESC= Enable debugging and verbose driver output
-LINUX_COMPAT_DESC= Support for Linux DVB and radio API
-HAL_DESC=	Register Linux DVB devices with HAL
+DEBUG_DESC=		Enable debugging and verbose driver output
+LINUX_COMPAT_DESC=	Support for Linux DVB and radio API
+HAL_DESC=		Register Linux DVB devices with HAL
 
 OPTIONS_DEFAULT=	LINUX_COMPAT
 
@@ -34,11 +34,11 @@ MAKE_ARGS+=	DIAGNOSTIC=0x7f
 .endif
 
 .if ${PORT_OPTIONS:MLINUX_COMPAT}
-LIB_DEPENDS+=	cuse4bsd.1:${PORTSDIR}/multimedia/cuse4bsd-kmod
-BUILD_DEPENDS+= v4l_compat>=1.0.20100321:${PORTSDIR}/multimedia/v4l_compat
+LIB_DEPENDS+=	cuse4bsd:${PORTSDIR}/multimedia/cuse4bsd-kmod
+BUILD_DEPENDS+=	v4l_compat>=1.0.20100321:${PORTSDIR}/multimedia/v4l_compat
 MAKE_ARGS+=	-D WITH_LINUX_COMPAT
 .if ${PORT_OPTIONS:MHAL}
-LIB_DEPENDS+=	hal.1:${PORTSDIR}/sysutils/hal \
+LIB_DEPENDS+=	hal:${PORTSDIR}/sysutils/hal \
 		dbus-1:${PORTSDIR}/devel/dbus
 MAKE_ARGS+=	-D WITH_HAL
 .endif

Modified: head/multimedia/cx88/distinfo
==============================================================================
--- head/multimedia/cx88/distinfo	Sun Jul 28 19:48:40 2013	(r323847)
+++ head/multimedia/cx88/distinfo	Sun Jul 28 20:00:51 2013	(r323848)
@@ -1,2 +1,2 @@
-SHA256 (cx88-1.4.7.tar.gz) = b5037f74571dffe974a9fef6e8d9acea4d7a809fb22fcd51abe70d47c3f2fcd9
-SIZE (cx88-1.4.7.tar.gz) = 190987
+SHA256 (cx88-1.4.8.tar.gz) = 94e2de501a242a8d1e1a1f360659df1d985ad442186311d8b6d87ef06ed5d818
+SIZE (cx88-1.4.8.tar.gz) = 191144
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 William Grzybowski freebsd_committer 2013-07-28 21:01:17 UTC
State Changed
From-To: open->closed

Committed. Thanks!